import { OnDestroy, OnInit } from '@angular/core';
import { Icon } from '../../../enum/icon.enum';
import { TransactionTypeCategory } from '../../../enum/transaction-type-category.enum';
import { TransactionLineBaseComponent } from '../../core/base/transaction-line-base.component';
export declare abstract class TransactionReceiveGoodsLineBaseComponent extends TransactionLineBaseComponent implements OnInit, OnDestroy {
    readonly icons: typeof Icon;
    readonly transactionTypeCategory: typeof TransactionTypeCategory;
    warehouseLocationButtonDisabled: boolean;
    showCheckboxForLine: boolean;
    returnStockMode: boolean;
    private _subscriptions;
    ngOnInit(): Promise<void>;
    ngOnDestroy(): void;
    changeLineAmount(amount: number): void;
    calcStickerAmount(): void;
    protected transactionLineSet(): void;
    private _handleTransactionLineSet;
}
